Liferay.Loader.define('dynamic-data-mapping-form-field-type$leaflet@1.7.1/src/geo/crs/CRS.EPSG3395', ['module', 'exports', 'require'], function (module, exports, require) {
	var define = undefined;
	var global = window;
	{
		import { Earth } from './CRS.Earth';
		import { Mercator } from '../projection/Projection.Mercator';
		import { toTransformation } from '../../geometry/Transformation';
		import * as Util from '../../core/Util';

		/*
   * @namespace CRS
   * @crs L.CRS.EPSG3395
   *
   * Rarely used by some commercial tile providers. Uses Elliptical Mercator projection.
   */
		export var EPSG3395 = Util.extend({}, Earth, {
			code: 'EPSG:3395',
			projection: Mercator,

			transformation: function () {
				var scale = 0.5 / (Math.PI * Mercator.R);
				return toTransformation(scale, 0.5, -scale, 0.5);
			}()
		});
	}
});
//# sourceMappingURL=CRS.EPSG3395.js.map